/*
***************************************************************************
* File : prj_1.c                                                          *
* Purpose : define one module for testing variables in group prj_         *
* By : Shuming Tan                 july 27, 1994                          *
***************************************************************************
*/


#include "head_1.h"
#include "head_2.h"

/* define a macro conflicting with the one in head file */
#define MACRO3

/* there are global simple variables */
extern int ext1,ext2;
extern char ext3,ext4;
short m1_i1,m1_i2;

/* these are local variables */
static m1_s1,m1_s2,m1_s3;   /* never used, but not counted in prj_unused */

/* global array variables */
char m1_array1[10][10];
long m1_array2[250]; 

/* a local array which should not be counted 
   by prj_aggr and prj_aggr, prj_unused */
static m1_array3[150];

/* test prj_members */
struct m1_struct1
{
  int field11;
  char field12;
} m1_rec1,m1_rec2;  /* should be counted by prj_aggr, prj_globals */

union m1_struct2
{
  char field21;
  long field22;
} m1_rec3;       /* this variable is never used, counted by prj_unused*/

struct struct1 m1_rec4; /* never used */

/* define a local function */
char *func4()
{
  return 0;
}

main()
{
  /* define a local structure */
  union m1_struct3
  {
    double field31;
    long field32;
    short field33;
  } m1_rec5;

/* use the defines globals */
  exp4=m1_array2;
  m1_rec1.field11=m1_rec2.field11;
  proc2(ext1,ext2);
  proc1(ext3);
  proc1(exp1);
  func1(m1_i1,m1_i2);
  func1(exp2,exp3);
  func2(ext4);
  exp4=func4();

/* there are 2 binary decision point below */
  {
     int u,v;
     u=0;v=0;
     while (u<10)
     {
       v=0;
       while (v<10)
       {
          m1_array1[u][v]=u*10+v;
          v++;
       }
       u++;
     }
  }
}