/*
***************************************************************************
*                                                                         *
* FILE NAME:	func.c                                                    *
* COPYRIGHT (C) 1994 BY ABRAXAS SOFTWARE. ALL RIGHTS RESERVED.            *
* AUTHOR:	Shuming Tan                     July 27, 1994             *
* PURPOSE:	This file contains the C code used to test CodeCheck      *
*               predefined functions which do not fall into other groups  *
*               accompanying rule file func.cc                            *                                           *                                                                         *
*                                                                         *
***************************************************************************
*/

/* test included(), header_name(), header_path() */
#include "func.h"

#define MACRO macro

/* test identifier */
int id;

/* test macro(), conflict_file(), conflict_line */
int MACRO;
short MACRO;

/* defined for testing prefix and suffix */
int p_integer,integer_s;
char p_char,char_s;

/* test class_name() */
class OUTER
{
  int f1;
  char f2;
  enum INNER
  {
    MOON,SUN,EARTH
  } f3;
  float f6;
};

/* define some functions to test statistical functions */
int func1(int i)
{
  int k;
  
  if (i%2==0) return 0;
  for (k=3;k<i-1;k++)
  {
    if (i%k==0) return 0;
  }
  return 1;
}

/* test undefine() */
#if !(defined(NOT))
int func4(int i)
{
  int k;
  
  if (i%2==0) return 0;
  for (k=3;k<i-1;k++)
  {
    if (i%k==0) return 0;
  }
  return 1;
}
#endif

void func2(int *x,int n)
{
  int i,j,t;
  for (j=0;j<n-1;j++)
    for (i=0;i<n-2;i++)
    {
      if (x[i]>x[i+1])
      {
        t=x[i];
        x[i+1]=x[i];
        x[i]=t;
      }
    }
}

/* test define() */
#ifdef NEED
void func3(int *x,int n)
{
  int i,j,t;
  for (j=0;j<n-1;j++)
    for (i=0;i<n-2;i++)
    {
      if (x[i]>x[i+1])
      {
        t=x[i];
        x[i+1]=x[i];
        x[i]=t;
      }
    }
}
#endif

main()
{

  int* array;

  func1(183+49);

  id=100;
  /* test test_needed() */
  array=(int *)malloc(id*sizeof(int));
  func2(array,100);
}