/*
***************************************************************************
*                                                                         *
* FILE NAME:	op.c                                                      *
* COPYRIGHT (C) 1994 BY ABRAXAS SOFTWARE. ALL RIGHTS RESERVED.            *
* AUTHOR:	Shuming Tan                     July 27, 1994             *
* PURPOSE:	This file contains the C code used to test CodeCheck      *
*               predefined variables in op_ group accompanying rule       *
*               file op.cc                                                *
*                                                                         *
***************************************************************************
*/

#define MIN(A,B) A<B?A:B

/* test initializer operator */
int i=1,j=2,b;
struct rec
{
  int item1;
  int item3;
  char item2;
} card;

int array[200];

class klass
{
/* test pointer-to operator */
  char *body;
  int len;
public:
  klass(int=0);
/* test destructor symbol */
  ~klass()
  {
/* test C++ dynamic memory operator, executable keyword */
    delete [] body;
    len=0;
  }
  void doit(int x){x++;}
};

/* test C++ scope operator */
klass::klass(int ll=0)
{
  body=new char[ll];
/* test subscript operator */
  body[0]=0;
  len=ll;
}

klass obj1;
/* test address-of operator */
klass* obj2=&obj1;

/* test template delimiters */
template<class T> T max(T x,T y)
{
/* test conditional operator */
  return x>y?x:y;
}

main()
{
/* test C++ reference opertor */
  int k,&s;
/* test poiter-to operator */
  char *p;
  const *q="hahaha";
  float f;
  void (*func)(int);

/* test arithmetic operators */
  i=-j;
  i=i+j;
  i=i-j;
  i=i*j;
  i=i/j;
  i=i%j;
  i+=j;
  i-=j;
  i*=j;
  i/=j;
  i%=j;

/* test bitwise operators */
  i=~j;
  i=i&j;
  i=i|j;
  i=i^j;
  i&=j;
  i|=j;
  i^=j;

/* test logical operators */
  i=!i;
  i=i&&j;
  i=i||j;

/* test shift operators */
  i=i<<4;
  i=i>>4;
  i<<=4;
  i>>=4;

/* test postfix and prefix arithmetic operators */
  j++;
  j--;
  ++i;
  --i;

/* test comparison operators */
  b=i==j;
  b=i!=j;
  b=i>j;
  b=i>=j;
  b=i<j;
  b=i<=j;

/* test operator sizeof */
  j=sizeof(f);

/* test cast operators */
  f=(float)i;
  p=(char *)&card;

/* test indirection operator */
  *p=0;
  p=q;

/* test member selector operators */
  card.item1=10;
  (&card)->item1=100;
  func=obj1.*doit;
  func=obj2->*doit;

/* test function calls */
  b=max(i,j);
  b=MIN(i,j);

/* test control structure operators */
  if (i) j=1; else j=0;

  while (i<j) {i++;}

  do {i++;} while (i<j);

  switch (b)
  {
    case 0:i++;
           break;
    default:j++;
  }

  for (;;)
  {
    continue;
    goto out;
  }
 
  out:return 0;

}
